> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token USD Price

> Get the USD price of a token. Batch query supported via comma-separated contractAddress values.



## OpenAPI

````yaml /reference/api-json.json get /token/price
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /token/price:
    get:
      tags:
        - Token
      summary: Get Token USD Price
      description: >-
        Get the USD price of a token. Batch query supported via comma-separated
        contractAddress values.
      operationId: TokenPrice
      parameters:
        - name: chainId
          required: true
          in: query
          description: >-
            Unique identifier for a blockchain network. Use a single value for
            same-chain batch queries or comma-separated values aligned with each
            contract address for cross-chain batch queries.
          schema:
            default: '1'
            example: 1,137
            type: string
        - name: contractAddress
          required: true
          in: query
          description: >-
            The token contract address to query. Use comma-separated values for
            batch queries. For same-chain batches, provide one chainId with
            multiple contract addresses. For cross-chain batches, provide
            matching comma-separated chainId and contractAddress values in the
            same order.
          schema:
            default: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
            example: >-
              0xdAC17F958D2ee523a2206206994597C13D831ec7,0xc2132D05D31c914a87C6611C10748AEb04B58e8F
            type: string
        - name: exchange
          required: false
          in: query
          description: The exchange to query the price from.
          schema:
            enum:
              - uniswap-v2
              - uniswap-v3
              - sushiswap-v2
              - pancakeswap-v1
              - pancakeswap-v2
              - quickswap
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - GoldRush
              - Moralis
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPriceResponse'
components:
  schemas:
    TokenPriceResponse:
      type: object
      properties:
        usdPrice:
          type: object
          example: '1.001'
        name:
          type: object
          example: Tether
        symbol:
          type: object
          example: USDT
        address:
          type: object
          example: 0x...
        decimals:
          type: object
          example: '6'
        logo:
          type: object
          example: https://static.alchemyapi.io/images/assets/825.png
        exchangeName:
          type: object
          example: uniswap
        exchangeAddress:
          type: string
          example: 0x...
        updatedAt:
          type: object
          example: '2023-05-20T02:58:53.987519619Z'
      required:
        - usdPrice
        - name
        - symbol
        - address
        - decimals
        - logo
        - exchangeName
        - exchangeAddress
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````